Tcl package Thread source code

Ticket Change Details
Login
Overview

Artifact ID: c19db4601ecba0a71574aa699f7df711a31384ebbf9b2a5ac2b5c3ce666a2ace
Ticket: 10401858b07066ec27e04ee78a2409e49d60f1ed
Thread package configure fails with Tcl 9
User & Date: petasis 2018-02-13 11:14:57
Changes

  1. Change assignee to "nobody"
  2. Change closer to "nobody"
  3. Change cmimetype to "text/plain"
  4. Change comment to:

    Index: configure.ac ================================================================== --- configure.ac +++ configure.ac @@ -34,15 +34,15 @@ #--------------------------------------------------------------------

    TEA_PATH_TCLCONFIG TEA_LOAD_TCLCONFIG

    -if test "${TCL_MAJOR_VERSION}" -ne 8 ; then +if test "${TCL_MAJOR_VERSION}" -lt 8 ; then AC_MSG_ERROR([${PACKAGE_NAME} ${PACKAGE_VERSION} requires Tcl 8.4+ Found config for Tcl ${TCL_VERSION}]) fi -if test "${TCL_MINOR_VERSION}" -lt 4 ; then +if test "${TCL_MAJOR_VERSION}" -eq 8 && test "${TCL_MINOR_VERSION}" -lt 4 ; then AC_MSG_ERROR([${PACKAGE_NAME} ${PACKAGE_VERSION} requires Tcl 8.4+ Found config for Tcl ${TCL_VERSION}]) fi

    #--------------------------------------------------------------------

  5. Change is_private to "0"
  6. Change login to "petasis"
  7. Change priority to "5 Medium"
  8. Change private_contact to "3cb4dabca0e1e7b9d560b2ca060abb67f2a97f23"
  9. Change resolution to "None"
  10. Change severity to "Important"
  11. Change status to "Open"
  12. Change submitter to "petasis"
  13. Change subsystem to "80. Thread Package"
  14. Change title to "Thread package configure fails with Tcl 9"
  15. Change type to "Patch"